#include <Servo.h> 
 
Servo rotator;                        // create servo

int servopin = 9;                     // servo connected to pin 9
int pos = 0;                          // servo position variable
int flag= 0;                          // 0 vertical, 1 horizontal
int buttonpin = 2;                    // button to control rotation
int rotupper = 126;                      // upper servo travel limit
int rotlower = 36;                       // lower servo travel limit
 
void setup() 
{ 
  rotator.attach(servopin);           // set up servo
  rotator.write(rotupper);               // move to vertical
  pinMode(buttonpin, INPUT_PULLUP);   // set up rotate button using internal pull-up
} 
 
 
void loop() 
{ 
  if (digitalRead(buttonpin) == LOW) {
    if (flag == 0) {                                // if vertical
  for(pos = (rotupper); pos >= (rotlower); pos -= 1)      // rotate to horizontal 
  {                                   
    rotator.write(pos);               
    delay(2);                        
  } 
  flag = 1;                                         // set flag to horizontal
    } else {
  for(pos = (rotlower); pos < (rotupper); pos += 1)       // otherwise rotate to vertical
  {                                
    rotator.write(pos);              
    delay(2);                       
  } 
  flag = 0;                                         // set flag to vertical
    }
  while (digitalRead(buttonpin) == LOW)
  {
    delay(1);                             // wait until button released
  }  
  delay(200);                             // mitigate accidental double presses
  }
}
